Solved

Getting below error while doing pre-flight check

  • 12 February 2024
  • 8 comments
  • 65 views

Userlevel 2
  • Not a newbie anymore
  • 4 comments

Hello Colleagues,

 

Getting below error while doing pre-flight checks :

 

[nutanix@backup-test-4b37b1-master-0 ~]$ helm search repo k10

WARNING: Kubernetes configuration file is group-readable. This is insecure. Location: /home/nutanix/.kube/config

WARNING: Kubernetes configuration file is world-readable. This is insecure. Location: /home/nutanix/.kube/config

NAME             CHART VERSION APP VERSION DESCRIPTION                                 

kasten/k10       6.5.4        6.5.4      Kasten’s K10 Data Management Platform       

kasten/k10restore 6.5.4        6.5.4      A Helm chart for restoring K10 from a backup

[nutanix@backup-test-4b37b1-master-0 ~]$ 

[nutanix@backup-test-4b37b1-master-0 ~]$ curl https://docs.kasten.io/tools/k10_primer.sh | bash

  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current

                                 Dload  Upload   Total   Spent    Left  Speed

100 10828  100 10828    0     0  41630      0 --:--:-- --:--:-- --:--:-- 41806

Namespace option not provided, using default namespace

Checking for tools

 --> Found kubectl

 --> Found helm

 --> Found jq

 --> Found cat

 --> Found base64

 --> Found tr

Checking if the Kasten Helm repo is present

WARNING: Kubernetes configuration file is group-readable. This is insecure. Location: /home/nutanix/.kube/config

WARNING: Kubernetes configuration file is world-readable. This is insecure. Location: /home/nutanix/.kube/config

 --> The Kasten Helm repo was found

Checking for required Helm version (>= v3.10.0)

WARNING: Kubernetes configuration file is group-readable. This is insecure. Location: /home/nutanix/.kube/config

WARNING: Kubernetes configuration file is world-readable. This is insecure. Location: /home/nutanix/.kube/config

WARNING: Kubernetes configuration file is group-readable. This is insecure. Location: /home/nutanix/.kube/config

WARNING: Kubernetes configuration file is world-readable. This is insecure. Location: /home/nutanix/.kube/config

 --> No Tiller needed with Helm v3.7.0

K10Primer image

 --> K10 version derived from the Helm repo () does not meet the minimum requirements (5.5.2)

Checking access to the Kubernetes context kubectl-context

 --> Able to access the default Kubernetes namespace

K10 Kanister tools image

 --> K10 version derived from the Helm repo () does not meet the minimum requirements (5.5.2)

Preflight checks failed

[nutanix@backup-test-4b37b1-master-0 ~]$ 

 

Tried below command as well : but same error 

 

[nutanix@backup-test-4b37b1-master-0 ~]$ curl -s https://docs.kasten.io/tools/k10_primer.sh  | bash /dev/stdin  -i gcr.io/kasten-images/k10tools:6.5.3

Namespace option not provided, using default namespace

Checking for tools

 --> Found kubectl

 --> Found helm

 --> Found jq

 --> Found cat

 --> Found base64

 --> Found tr

Checking if the Kasten Helm repo is present

WARNING: Kubernetes configuration file is group-readable. This is insecure. Location: /home/nutanix/.kube/config

WARNING: Kubernetes configuration file is world-readable. This is insecure. Location: /home/nutanix/.kube/config

 --> The Kasten Helm repo was found

Checking for required Helm version (>= v3.10.0)

WARNING: Kubernetes configuration file is group-readable. This is insecure. Location: /home/nutanix/.kube/config

WARNING: Kubernetes configuration file is world-readable. This is insecure. Location: /home/nutanix/.kube/config

WARNING: Kubernetes configuration file is group-readable. This is insecure. Location: /home/nutanix/.kube/config

WARNING: Kubernetes configuration file is world-readable. This is insecure. Location: /home/nutanix/.kube/config

 --> No Tiller needed with Helm v3.7.0

K10Primer image

 --> Using Image (gcr.io/kasten-images/k10tools:6.5.3) to run test

Checking access to the Kubernetes context kubectl-context

 --> Able to access the default Kubernetes namespace

K10 Kanister tools image

 --> K10 version derived from the Helm repo () does not meet the minimum requirements (5.5.2)

Preflight checks failed

[nutanix@backup-test-4b37b1-master-0 ~]$ 

 

Kindly check and assist if somebody knows how to resolve this issue.

 

 

icon

Best answer by NZ_BenThomas 12 February 2024, 22:51

View original

8 comments

Userlevel 7
Badge +20

@Madi.Cristil @safiya -- please move this to the Kasten K10 board for better assistance. 😁

Userlevel 2

Hello Colleagues,

Can somebody please assist here if there are some checks we can perform.

Regards,

Jatinder kumar

Userlevel 6
Badge +3

If you run this manually, what does the output show?

`helm search repo kasten/k10 -o yaml | head -1 | awk '{print $3}'`

Userlevel 2

Hello @NZ_BenThomas ,

 

Thanks for looking into it. please find the below output:

 

[nutanix@backup-test-4b37b1-master-0 ~]$ helm search repo kasten/k10 -o yaml | head -1 | awk '{print $3}'

WARNING: Kubernetes configuration file is group-readable. This is insecure. Location: /home/nutanix/.kube/config

WARNING: Kubernetes configuration file is world-readable. This is insecure. Location: /home/nutanix/.kube/config

6.5.4

 

Regards,

Jatinder kumar

Userlevel 6
Badge +3

Ah I think your version of helm is too old. 

Checking for required Helm version (>= v3.10.0)

 --> No Tiller needed with Helm v3.7.0

Looks like you’re running Helm v3.7.0 but you need at least Helm v3.10.0

Can you update helm and try again?

Userlevel 2

Hello @NZ_BenThomas 

 

I have tried updating with below command  but getting same error :

 

[nutanix@backup-test-4b37b1-master-0 ~]$ helm repo update

WARNING: Kubernetes configuration file is group-readable. This is insecure. Location: /home/nutanix/.kube/config

WARNING: Kubernetes configuration file is world-readable. This is insecure. Location: /home/nutanix/.kube/config

Hang tight while we grab the latest from your chart repositories...

...Successfully got an update from the "kasten" chart repository

Update Complete. ⎈Happy Helming!⎈

 

Let me know if i am doing it correctly or not.

Regards,

Jatinder kumar

Userlevel 6
Badge +3

Sorry, I mean you need to upgrade the ‘helm3’ tool. Helm | Installing Helm

Userlevel 2

Hello @NZ_BenThomas  

 

Thanks a lot. It worked.

 

Regards,

Jatinder kumar

Comment